### Method

# Ide Task set_check_cancellable

#### Declaration

    void
    ide_task_set_check_cancellable (
      IdeTask* self,
      gboolean check_cancellable
    )

#### Description

Setting `check_cancellable` to `TRUE` (the default) ensures that the `GCancellable` used when creating the `IdeTask` is checked for cancellation before propagating a result. If cancelled, an error will be returned instead of the result.

Available since: | 3.32

#### Parameters

`check_cancellable` | `gboolean`
| `TRUE` if the cancellable should be checked.